Subject: Re: [PATCH v2] transport-helper, connect: add atexit handler to reap children on abnormal exit

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 10:58:26 -0700

Andrew Au <[email-masked]> writes:

> When git exits via exit(128) on transport errors, child processes
> (git-remote-https, ssh, proxy) are never waited on because the normal
> cleanup paths (disconnect_helper, finish_connect) are bypassed. When
> git is PID 1 in a container, these un-reaped children become zombies.

Could you tell me more about the real use case behind such a set-up.

These children become zombies, and then what will be done to the
container that lost the "git" process, running of which presumably
was the primary reason why the container was brought up in the first
place?  Wouldn't these zombies go away when the container that
finished its sole purpose of running "git" gets dismantled?

Thanks.